Page MenuHomePhabricator

Undeploy the CollaborationKit extension from Wikipedia production
Closed, ResolvedPublic

Description

Currently installed only in testwiki (since 2017); funding for this has stopped and the work hasn't significantly moved since then. The code base is subject to the same slow bitrot as all code, but without any active owner this is becoming more problematic. See for example T239674 T246757 T254005.

I'd love for a team to take it on, finish the work, and deploy it more widely, but that seems unlikely right now (and re-deploying isn't too hard if that does happen).

[CC'ed maintainers per https://www.mediawiki.org/wiki/Developers/Maintainers.]

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2020, 7:50 PM
Isarra added a comment.Jun 5 2020, 7:03 PM

Makes sense to me, given this never got to the point of usability to begin with. And given how the project ended, I don't really see myself coming back to this any time soon, if ever.

See: https://meta.wikimedia.org/wiki/Grants:Project/WikiProject_X/CollaborationKit_MVP/Final

Sorry to hear that. :-(

Change 604319 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Undeploy CollaborationKit: I – Disable on Beta Cluster

https://gerrit.wikimedia.org/r/604319

Change 604320 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Undeploy CollaborationKit: II – Disable on Test Wikipedia

https://gerrit.wikimedia.org/r/604320

Change 604321 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Undeploy CollaborationKit: III – Drop ability to load

https://gerrit.wikimedia.org/r/604321

Change 604322 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Undeploy CollaborationKit: IV – Drop flag to load

https://gerrit.wikimedia.org/r/604322

Change 604323 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Undeploy CollaborationKit: V – Drop i18n load

https://gerrit.wikimedia.org/r/604323

Change 604319 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy CollaborationKit: I – Disable on Beta Cluster

https://gerrit.wikimedia.org/r/604319

Change 604320 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy CollaborationKit: II – Disable on Test Wikipedia

https://gerrit.wikimedia.org/r/604320

Change 604325 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] Stop branching the CollaborationKit extension

https://gerrit.wikimedia.org/r/604325

Mentioned in SAL (#wikimedia-operations) [2020-06-10T10:16:57Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T254036 Undeploy CollaborationKit: II – Disable on Test Wikipedia (duration: 01m 37s)

Change 604321 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy CollaborationKit: III – Drop ability to load

https://gerrit.wikimedia.org/r/604321

Mentioned in SAL (#wikimedia-operations) [2020-06-10T10:20:36Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T254036 Undeploy CollaborationKit: III – Drop ability to load (duration: 01m 05s)

Change 604322 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy CollaborationKit: IV – Drop flag to load

https://gerrit.wikimedia.org/r/604322

Change 604323 merged by jenkins-bot:
[operations/mediawiki-config@master] Undeploy CollaborationKit: V – Drop i18n load

https://gerrit.wikimedia.org/r/604323

Mentioned in SAL (#wikimedia-operations) [2020-06-10T10:24:57Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T254036 Undeploy CollaborationKit: IV – Drop flag to load (duration: 01m 05s)

Change 604325 merged by jenkins-bot:
[mediawiki/tools/release@master] Stop branching the CollaborationKit extension

https://gerrit.wikimedia.org/r/604325